/*                                           -*- mode: c; c-basic-offset: 2 -*-
 *
 * This is kiba, a fun GNOME dock
 */

#ifndef __KIBA_AKAMARU_H__
#define __KIBA_AKAMARU_H__

/* initiall akamaru engine */
void
kiba_akamaru_init (KibaDock *dock);

/* add spacer (for object reflection) */
void
add_spacer (AkamaruObject *object,
            void          *data);      //type: AddSpacerClosure

/* reload all spacer */
void
kiba_reload_spacers (KibaDock *dock);

void
kiba_add_object_spring (KibaDock *dock);

void
kiba_delete_object_spring (KibaDock *dock);

/*******
ROPE
*******/
void
kiba_add_rope_object (KibaDock   *dock,
                      KibaObject *object);

gboolean
kiba_rope_anchor (KibaDock *dock);

void
kiba_add_rope_spring (KibaDock *dock,
                      double    factor);

void
kiba_delete_rope_spring (KibaDock *dock);

void
kiba_add_rope_strings (KibaDock *dock);

void
kiba_delete_rope_strings (KibaDock *dock);

void
kiba_update_rope_positions (KibaDock   *dock,
                            KibaObject *object);

/*******
WOBBLY
*******/
void
kiba_add_wobbly_spring (KibaDock *dock);

void
kiba_delete_wobbly_spring (KibaDock *dock);

#endif
